//
// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
//
// The contents of this file are covered under the licence agreement in the
// file "LICENCE" distributed with Cforall.
//
// Specialize.h -- 
//
// Author           : Richard C. Bilson
// Created On       : Mon May 18 07:44:20 2015
// Last Modified By : Peter A. Buhr
// Last Modified On : Tue May 19 07:53:58 2015
// Update Count     : 1
//

#ifndef _SPECIALIZE_H
#define _SPECIALIZE_H

#include <list>

#include "SynTree/SynTree.h"

namespace GenPoly {
	/// generates thunks where needed
	void convertSpecializations( std::list< Declaration* >& translationUnit );
} // namespace GenPoly

#endif // _SPECIALIZE_H

// Local Variables: //
// tab-width: 4 //
// mode: c++ //
// compile-command: "make install" //
// End: //
